[Setup]
AppName=ODESSA Code Builder
AppVerName=Version 1.0
AppPublisher=IRSN
AppPublisherURL=http://www.irsn.fr
AppUpdatesURL=http://www.irsn.fr
DefaultDirName=c:\sarnet\odessa
DefaultGroupName=sarnet
InfoAfterFile=doc\readme-builder.rtf
LicenseFile=doc\license-builder.rtf
OutputBaseFilename=odessa-setup
OutputDir=..
WizardImageFile=images\odessa.bmp
WizardSmallImageFile=images\odessa.bmp
AlwaysRestart=yes

[Tasks]
Name: desktopicon; Description: Create a &desktop icon; GroupDescription: Additional icons:
Name: quicklaunchicon; Description: Create a &Quick Launch icon; GroupDescription: Additional icons:; Flags: unchecked

[Components]
Name: main; Description: main files; Types: full compact
Name: source; Description: source files; Types: full
Name: documentation; Description: document files; Types: full

[Files]
Source: tools\builder\*.*            ; DestDir: {app}\src              ; Components: source
Source: images\*.*                   ; DestDir: {app}\images           ; Components: main
Source: bin\windows-gcc\builder.exe  ; DestDir: {app}\bin\windows-gcc  ; Components: main
Source: doc\builder.*                ; DestDir: {app}\doc              ; Components: documentation
Source: dat\builder.men              ; DestDir: {app}\dat              ; Components: main
Source: dat\builder.run              ; DestDir: {app}\dat              ; Components: main
Source: analproc\*.*                 ; DestDir: {app}\analproc         ; Components: main ; Flags: recursesubdirs

[Registry]
Root: HKCU; Subkey: Environment; ValueType: string; ValueName: odessa; ValueData: {app}\odessa; MinVersion: 0,1; Flags: uninsdeletevalue
Root: HKCU; Subkey: Environment; ValueType: string; ValueName: builder; ValueData: {app}\odessa\bin\windows-gcc\builder.exe; MinVersion: 0,1; Flags: uninsdeletevalue

[Icons]
Name: {group}\builder; Comment: "ODESSA Code Builder"; Filename: {app}\odessa\bin\windows-gcc\builder.exe ; Parameters: "-gui "; WorkingDir: %temp%; IconFilename: {app}\images\builder.ico; Flags: runminimized

